# Note that this is NOT a relocatable package
%define ver      0.30
%define rel      2
%define prefix   /usr

Summary: GNOME media programs
Name: gnome-media
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media-%{ver}.tar.gz
Patch0: gnome-media-0.30-sparc.patch
BuildRoot: /var/tmp/gnome-media-root
Obsoletes: gnome
Packager: Marc Ewing <marc@redhat.com>
URL: http://www.gnome.org
Docdir: %{prefix}/doc

Requires: gnome-libs >= 0.30

# msf - disabled in 0.30 release
# these needed for extace
#Requires: gsl
#Requires: esound


%description
GNOME media programs.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%changelog

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-media CVS source tree

%prep
%setup
%patch0 -p1

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/apps/*
%{prefix}/share/pixmaps/*

